Bug 1500644 - [3.5]Metrics diagrams only could be displayed for openshift-infra project in web console
Summary: [3.5]Metrics diagrams only could be displayed for openshift-infra project in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.z
Assignee: Ruben Vargas Palma
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1499635
Blocks: 1458186 1479989
TreeView+ depends on / blocked
 
Reported: 2017-10-11 09:06 UTC by Junqi Zhao
Modified: 2018-05-10 06:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1499635
Environment:
Last Closed: 2017-12-07 07:12:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Description Junqi Zhao 2017-10-11 09:06:09 UTC
Same issue with metrics 3.5
+++ This bug was initially created as a clone of Bug #1499635 +++

Description of problem:
Web console, Metrics diagrams(CPU/Memory/Network usage) only could be displayed for openshift-infra project, Metrics diagrams under other projects could not be displayed.
for other projects, it showed "Metrics are not available" error,  when clicked the metrics route, it showed "Metrics Service :STARTED", but it still showed the "Metrics are not available" error when back to web console.


***************************************************************************
Version-Release number of selected component (if applicable):
Images version:
metrics-heapster:3.5.0-27
metrics-hawkular-metrics:3.5.0-39
metrics-cassandra:3.5.0-34

# rpm -qa | grep openshift-ansible
openshift-ansible-roles-3.5.132-1.git.0.a5c4a4d.el7.noarch
openshift-ansible-callback-plugins-3.5.132-1.git.0.a5c4a4d.el7.noarch
openshift-ansible-lookup-plugins-3.5.132-1.git.0.a5c4a4d.el7.noarch
openshift-ansible-playbooks-3.5.132-1.git.0.a5c4a4d.el7.noarch
openshift-ansible-3.5.132-1.git.0.a5c4a4d.el7.noarch
openshift-ansible-filter-plugins-3.5.132-1.git.0.a5c4a4d.el7.noarch
openshift-ansible-docs-3.5.132-1.git.0.a5c4a4d.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Deploye metrics 3.5
2. Create one new project and create one pod, check the metrics diagrams
3.

Actual results:
Metrics diagrams only could be displayed for openshift-infra project in web console

Expected results:
Metrics should be viewed for all projects

Additional info:

--- Additional comment from Junqi Zhao on 2017-10-09 03:21 EDT ---

Comment 1 Junqi Zhao 2017-10-11 09:11:44 UTC
# Inventory file
[OSEv3:children]
masters

[masters]
${MASTER} openshift_public_hostname=${MASTER}


[OSEv3:vars]
ansible_ssh_user=root
ansible_ssh_private_key_file="~/libra.pem"
deployment_type=openshift-enterprise

# Metrics
openshift_metrics_install_metrics=true
openshift_metrics_hawkular_hostname=hawkular-metrics.${SUB_DOMAIN}
openshift_metrics_project=openshift-infra
openshift_metrics_image_prefix=${IMAGE_PREFIX}
openshift_metrics_image_version=v3.5

Comment 2 Matt Wringe 2017-10-13 12:48:39 UTC
@stefan: you also need this pr to be applied for this: https://github.com/openshift/origin-metrics/commit/bf5a5b99ad15c110ddbe492f1ffc86c780839254#diff-055c992974a33b91b5c3fff3576e9310

Comment 5 Junqi Zhao 2017-10-16 02:05:00 UTC
Tested with metrics-hawkular-metrics:3.4.1-46, Metrics diagrams could be displayed for all projects in web console

Comment 6 Junqi Zhao 2017-11-07 05:42:02 UTC
(In reply to Junqi Zhao from comment #5)
> Tested with metrics-hawkular-metrics:3.4.1-46, Metrics diagrams could be
> displayed for all projects in web console

Correction:
Tested with metrics-hawkular-metrics:3.5.0-44, Metrics diagrams could be displayed for all projects in web console

Comment 9 errata-xmlrpc 2017-12-07 07:12:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.